## mycompiler.mytypereconstruction.replacementlistener
Interface IReplaceTypeEventProvider

All Known Implementing Classes:
  TyploseVariable

    public interface IReplaceTypeEventProvider

Interface für ein Objekt, das ReplaceTypeEvents zur Verfügung stellt und es TypeReplacementListenern erlaubt, sich zu registrieren.

Version:
  $date
Author:
  Jörg Bäuerle

Method Summary
`void` `addReplacementListener(ITypeReplacementListener listener)`
`boolean` `containsListener(ITypeReplacementListener listener)`
`void` `fireReplaceTypeEvent(CReplaceTypeEvent e)`
`java.util.Iterator<ITypeReplacementListener>` `getReplacementListeners()`
`void` `removeAllReplacementListeners()`
`void` `removeReplacementListener(ITypeReplacementListener listener)`

Method Detail

### addReplacementListener

    void addReplacementListener(ITypeReplacementListener listener)

### removeReplacementListener

    void removeReplacementListener(ITypeReplacementListener listener)

### removeAllReplacementListeners

    void removeAllReplacementListeners()

### getReplacementListeners

    java.util.Iterator<ITypeReplacementListener> getReplacementListeners()

### containsListener

    boolean containsListener(ITypeReplacementListener listener)

### fireReplaceTypeEvent

    void fireReplaceTypeEvent(CReplaceTypeEvent e)